package com.persagy.legend.services

import com.persagy.legend.models.entities.State
import com.sybotan.mybatis.SMybatisDao
import com.sybotan.service.SObjectService
import java.util.*

/**
 * 状态
 *
 * @author  zy
 * @date  2020/9/21 11:35
 */
object LegendStateService : SObjectService<State>(SMybatisDao(State::class.java)) {
    /**
     * 创建之前操作
     *
     * @param entity    状态对象
     * @return 是否执行
     */
    override fun onCreateBefore(entity: State): Boolean {
        /** id 为空赋值 */
        if (entity.id.isNullOrEmpty()){
            entity.id = UUID.randomUUID().toString().replace("-", "")
        }
        return super.onCreateBefore(entity)
    }
}